@font-face {
font-family: "EngelLight_ltd";
src: url(../fonts/EngelLight_ltd.ttf) format("truetype");
}

@font-face {
font-family: "UbuntuLight";
src: url(../fonts/Ubuntu-Light.ttf) format("truetype");
}

@font-face {
font-family: "UbuntuCondensed";
src: url(../fonts/UbuntuCondensed-Regular.ttf) format("truetype");
}

* {
	font-family: Lucida Sans, Arial, Helvetica, sans-serif;
}

h1 {
    font-size: 40px;
    text-shadow: 4px 4px 5px #16a085;
}

h2 {
  margin: 20px auto 80px;
  font-size: 38px;
  font-weight: 300;
  text-align: center;
  letter-spacing: 2px;
  line-height: 1.5;
}


details {
  width: 60%;
  min-height: 5px;
  max-width: 50%;
  padding: 2px 5px 5px 2px;
  margin: 0 auto;
  position: fixed; 
  left: 20%;
  font-size: 20px;
  color: #FFFFFF;
  border: 2px solid rgba(0,0,0,.3);
  border-radius: 5px;
  box-sizing: border-box;
  transition: all .3s;
   background-color : rgba(11, 142, 194,.9);
  box-shadow: 2px 2px 2px rgba(0,0,0,.5);
  z-index: 5000;
}

details + details {
  margin-top: 20px;
}

details[open] {
  min-height: 50px;
  background-color: rgba(11, 142, 194,.7);;
  box-shadow: 2px 2px 20px rgba(0,0,0,.2);
}

details p {
  	color: #004b85;
	font-weight: 300;
	font-size: 0.9em;
	line-height: 1.8em;
	cursor: default;
  	margin-bottom:5px;
  	margin-top: 5px;
    background-color: #616a6b;
    border-bottom: 2px solid #999;
	z-index: 5000;
}

details a {
    color: #ffffff;
    text-decoration: none;
}

summary {
  font-weight: 500;
  cursor: pointer;
  z-index: 5000;
}

/* removed outline as for codepen only
  don't remove focus on elements
  it's bad accessibility
  don't be _that_ guy
*/
summary:focus {
  outline: none;
}

summary::-webkit-details-marker {
  display: none
}

summary::after {
  padding: 10px;
  position: absolute;
  top: 50%;
  right: 0;
  color: rebeccapurple;
  font-family: "Font Awesome 5 Free";
  font-size: 15px;
  font-style: normal;
  font-variant-caps: normal;
  font-variant-ligatures: normal;
  font-weight: 900;
  text-rendering: auto;
  -webkit-font-smoothing: antialiased;
 /* content: "\f078"; */
/*  color: #FFF000; */
  transform: translateY(-50%);
  transition: .3s ease;
  z-index: 5000;
}

details[open] summary::after {
/*  content: "\f057"; */
  font-size: 15px;
  top: 0;
  transform: translateY(0);
  transition: .3s ease;
}

details[open] summary:hover::after {
  animation: pulse 1s ease;
}

@keyframes pulse {
  25% {
    transform: scale(1.1);
  }
  50% {
    transform: scale(1);
  }
  75% {
    transform: scale(1.1);
  }
  100% {
    transform: scale(1);
  }
}
